Bug 1575804 - [abrt] gnome-control-center: gvc_mixer_ui_device_get_id(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: gvc_mixer_ui_device_get_id(): gnome-control-cent...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:07e7a067691732acc7db144465e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 01:15 UTC by Nathaniel Suchy
Modified: 2019-05-28 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:08:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.20 KB, text/plain)
2018-05-08 01:15 UTC, Nathaniel Suchy
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-08 01:15 UTC, Nathaniel Suchy
no flags Details
File: core_backtrace (20.25 KB, text/plain)
2018-05-08 01:15 UTC, Nathaniel Suchy
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2018-05-08 01:15 UTC, Nathaniel Suchy
no flags Details
File: dso_list (27.82 KB, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details
File: environ (3.67 KB, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details
File: maps (126.94 KB, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details
File: mountinfo (3.90 KB, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details
File: open_fds (2.57 KB, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-08 01:16 UTC, Nathaniel Suchy
no flags Details

Description Nathaniel Suchy 2018-05-08 01:15:51 UTC
Description of problem:
While trying to connect my bluetooth headphones to a Macbook Pro Early 2015 running Fedora - the bluetooth system crashed. On successful connections the audio is extreamly laggy if it works at all. this is the information I know.

Version-Release number of selected component:
gnome-control-center-3.28.1-2.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center bluetooth
crash_function: gvc_mixer_ui_device_get_id
executable:     /usr/bin/gnome-control-center
journald_cursor: s=3266dd80daf24636b76d140537c18d92;i=ada6;b=56e7ec6debbf4719aef4939831d6a2b8;m=2394f5711;t=56ba76c7fbfb8;x=5da8ded1e818cda4
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gvc_mixer_ui_device_get_id at ../subprojects/gvc/gvc-mixer-ui-device.c:598
 #1 profile_selection_changed at ../panels/sound/gvc-mixer-dialog.c:143
 #6 on_combo_box_changed at ../panels/sound/gvc-combo-box.c:282
 #11 gtk_combo_box_set_active_internal at gtkcombobox.c:3850
 #12 gtk_combo_box_set_active_iter at gtkcombobox.c:3912
 #13 gtk_combo_box_menu_activate at gtkcombobox.c:2824
 #14 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #15 _g_closure_invoke_va at gclosure.c:867
 #18 item_activated_cb at gtktreemenu.c:1434
 #23 gtk_widget_activate at gtkwidget.c:7777

Comment 1 Nathaniel Suchy 2018-05-08 01:15:56 UTC
Created attachment 1432860 [details]
File: backtrace

Comment 2 Nathaniel Suchy 2018-05-08 01:15:57 UTC
Created attachment 1432861 [details]
File: cgroup

Comment 3 Nathaniel Suchy 2018-05-08 01:15:58 UTC
Created attachment 1432862 [details]
File: core_backtrace

Comment 4 Nathaniel Suchy 2018-05-08 01:15:59 UTC
Created attachment 1432863 [details]
File: cpuinfo

Comment 5 Nathaniel Suchy 2018-05-08 01:16:00 UTC
Created attachment 1432864 [details]
File: dso_list

Comment 6 Nathaniel Suchy 2018-05-08 01:16:02 UTC
Created attachment 1432865 [details]
File: environ

Comment 7 Nathaniel Suchy 2018-05-08 01:16:03 UTC
Created attachment 1432866 [details]
File: exploitable

Comment 8 Nathaniel Suchy 2018-05-08 01:16:04 UTC
Created attachment 1432867 [details]
File: limits

Comment 9 Nathaniel Suchy 2018-05-08 01:16:05 UTC
Created attachment 1432868 [details]
File: maps

Comment 10 Nathaniel Suchy 2018-05-08 01:16:06 UTC
Created attachment 1432869 [details]
File: mountinfo

Comment 11 Nathaniel Suchy 2018-05-08 01:16:07 UTC
Created attachment 1432870 [details]
File: open_fds

Comment 12 Nathaniel Suchy 2018-05-08 01:16:08 UTC
Created attachment 1432871 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 21:49:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 20:08:17 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.